﻿Type=Class
Version=5.5
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'B4Multingual B4A/B4J Generated Code + XML Files
Private Sub Class_Globals
	Private ba_ As Object
	Private oAJLocale As AJLocale
	Private oAJDateFormatSymbols As AJDateFormatSymbols
	Private oAJCalendar As AJCalendar
	Private oAJCurrency As AJCurrency
	Private oAJDateFormat As AJDateFormat
	Private oAJResources As AJResources
End Sub

#Region Initialize Methods
Public Sub Initialize
	ba_ = ba
	oAJResources.Initialize("")
	oAJLocale.InitializeDefault(ba)
	SetHelperClasses(oAJLocale.Locale)
End Sub

Private Sub SetHelperClasses(Locale As JavaObject)
	oAJDateFormatSymbols.Initialize2(ba_, Locale)
	oAJCalendar.Initialize
	oAJCalendar.GetInstance2(Locale)
	oAJDateFormat.Initialize
	oAJDateFormat.GetDateInstance3(oAJDateFormat.DEFAULT, Locale)
	oAJDateFormat.SetCalendar(oAJCalendar.Calendar)
	Try
		oAJCurrency.Initialize(Locale)
	Catch 
		Log(LastException)
	End Try
End Sub
#End Region Initialize Methods

#Region KEYS
Public Sub getclubs As String
	Return oAJResources.GetString("clubs")
End Sub
Public Sub getcurrency As String
	Return oAJResources.GetString("currency")
End Sub
Public Sub getcurrency_symbol As String
	Return oAJResources.GetString("currency_symbol")
End Sub
Public Sub getcurrent_language As String
	Return oAJResources.GetString("current_language")
End Sub
Public Sub getdiamonds As String
	Return oAJResources.GetString("diamonds")
End Sub
Public Sub getfirst_week_day As String
	Return oAJResources.GetString("first_week_day")
End Sub
Public Sub gethearts As String
	Return oAJResources.GetString("hearts")
End Sub
Public Sub getplanets As String
	Return oAJResources.GetString("planets")
End Sub
Public Sub getselect_lang As String
	Return oAJResources.GetString("select_lang")
End Sub
Public Sub getselect_month As String
	Return oAJResources.GetString("select_month")
End Sub
Public Sub getselect_weekday As String
	Return oAJResources.GetString("select_weekday")
End Sub
Public Sub getspades As String
	Return oAJResources.GetString("spades")
End Sub
Public Sub getsuits As String
	Return oAJResources.GetString("suits")
End Sub
Public Sub gettitle As String
	Return oAJResources.GetString("title")
End Sub
Public Sub gettrans_with_var_values As String
	Return oAJResources.GetString("trans_with_var_values")
End Sub
Public Sub getvariable_message As String
	Return oAJResources.GetString("variable_message")
End Sub
Public Sub getplanets_aMap As Map
	Return populateMapFromStringArray(oAJResources.GetStringArray("planets_a"))
End Sub
Public Sub getcar_pMap(HowMany As Int) As String
	Return oAJResources.GetStringPlural("car_p", HowMany)
End Sub
#End Region KEYS

Private Sub populateMapFromStringArray(ar() As String) As Map
	Dim m As Map
	m.Initialize
	Dim i As Int = 0
	For Each s As String In ar
		m.Put(i, s)
		i = i + 1
	Next
	Return m
End Sub

#Region Public Methods
Public Sub getAJLocale As AJLocale
	Return oAJLocale
End Sub

Public Sub setAJLocale(AJLocale As AJLocale)
	oAJLocale = AJLocale
	SetHelperClasses(oAJLocale.Locale)
End Sub

Public Sub getAJDateFormatSymbols As AJDateFormatSymbols
	Return oAJDateFormatSymbols
End Sub

Public Sub getAJCalendar As AJCalendar
	Return oAJCalendar
End Sub

Public Sub getAJCurrency As AJCurrency
	Return oAJCurrency
End Sub

Public Sub setAJCurrency(AJCurrency As AJCurrency)
	oAJCurrency = AJCurrency
End Sub

Public Sub getAJDateFormat As AJDateFormat
	Return oAJDateFormat
End Sub

Public Sub getAJResources As AJResources
	Return oAJResources
End Sub
#End Region Public Methods